/******************** (C) COPYRIGHT 2023 GeekRebot *****************************
* File Name          : bsp_sys.c
* Current Version    : V1.0  & ST 3.5.0
* Author             : zhanli 719901725@qq.com
* Date of Issued     : 2023.04.06 zhanli: Create
* Comments           : ʼ
********************************************************************************/
#include "bsp_sys.h"

/**----------------------------------------------------------------------
* Function    : System_Init
* Description : GeekRebotʼ
* Author      : zhanli&719901725@qq.com
* Date        : 2023/04/22 zhanli
*---------------------------------------------------------------------**/
void System_Init(void)
{	
	Delay_Init(72);                 // δʱӳʼ
	NVIC_Config();                  // жóʼ
	LED_GPIO_Config();              // LEDʼ
	USART1_Init(115200);            // ڳʼ
	IIC_Init();                     // IICģʼ	                                
	MOTO_GPIO_Init();               // IO
	MOTO_PWM_Init(3599,0);          // PWMƵʳʼ20KHz
	
	OLED_Init();
	OLED_Clear();
	OLED_ShowCHinese(0,0,2);                                 // ʾ 
	OLED_ShowCHinese(16,0,3);                                // ʾ 
	OLED_ShowString(88,0,(u8*)"m/min",16);                   // OLEDһʾ峵 λm/min
	OLED_ShowString(0, 2,(u8*)"Left :    RPM",12);           // ʾת  RλRPM ʾÿӳֵȦ
	OLED_ShowString(0, 3,(u8*)"Right:    RPM",12);           // ʾת  RλRPM ʾÿӳֵȦ
	OLED_ShowString(0, 4,(u8*)"P:   I:   D:   ",16);         // ʾPID
	OLED_ShowString(0, 6,(u8*)"Set_C:    RPM",12);           // õĳתٵλRPM
	OLED_ShowString(0, 7,(u8*)"Set_P:    m/min",12);         // õĳתٵλRPM
	
	Encoder_Init_TIM2();
	TIM2 -> CNT=30000;
	Encoder_Init_TIM4();
	TIM4 -> CNT=30000;
	
	MOTO_PWM_Out(100, 100);
	
	Timer6_Init();          //ʱ6
	Delay_ms(100);          //ȴʼ
	
	int Moto_Left=500;    
	int Moto_Right=500;
	TIM3->CCR3 = Moto_Left;  //pwm
	TIM3->CCR4 = Moto_Right; //pwm
}


