/******************** (C) COPYRIGHT 2023 GeekRebot *****************************
* File Name          : moto.c
* Current Version    : V1.0  & ST 3.5.0
* Author             : zhanli 719901725@qq.com
* Date of Issued     : 2023.04.06 zhanli: Create
* Comments           : ֱٵ
********************************************************************************/
#include "moto.h"
#include "bsp_sys.h"
/**----------------------------------------------------------------------
Ӳ˵

// 
PB0 -> R_PWM
PB13-> R_IN2
PB12-> R_IN1

PB1 -> L_PWM
PB14-> L_IN2
PB15-> L_IN1

PA0 -> LA
PA1 -> LB

// 

// 
PA0---- A ߵB2Bʶ
PA1---- B ߵB2Aʶ

// ҵ
PB6---- B ߵB1Aʶ
PB7---- A ߵB1Bʶ

TB6612, СͷӦǰ, LeftӦA,RightӦB
*---------------------------------------------------------------------**/

//PWMtimer3
void MOTO_GPIO_Init(void)
{
	GPIO_InitTypeDef GPIO_InitStructure;
	RCC_APB2PeriphClockCmd(RCC_APB2Periph_GPIOB, ENABLE);                                	    /*GPIOʱ*/																   
	GPIO_InitStructure.GPIO_Pin = GPIO_Pin_12 | GPIO_Pin_13 | GPIO_Pin_14 | GPIO_Pin_15;	    /*ѡҪƵGPIO*/	
	GPIO_InitStructure.GPIO_Mode = GPIO_Mode_Out_PP;                                            /*ģʽΪͨ*/   
	GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;                                           /*Ϊ50MHz */ 
	GPIO_Init(GPIOB, &GPIO_InitStructure);                                			            /*ÿ⺯ʼGPIO*/			
}

//
void MOTO_Left(char state)
{
	if(state == GO)//ǰǰ
	{
		GPIO_SetBits(GPIOB,GPIO_Pin_12);
		GPIO_SetBits(GPIOB,GPIO_Pin_14);
		GPIO_SetBits(GPIOB,GPIO_Pin_15);
		TIM3->CCR4=1500;
	}
	if(state == BACK)//ǰ
	{
		GPIO_ResetBits(GPIOB,GPIO_Pin_12);
		GPIO_ResetBits(GPIOB,GPIO_Pin_14);
		GPIO_ResetBits(GPIOB,GPIO_Pin_15);
		TIM3->CCR4=1500;
	}
	if(state == STOP)//ͣת
	{
		TIM3->CCR4=0;  //pwm
	}
}

//ҵ
void MOTO_Right(char state)
{
	if(state == GO)//ǰǰ
	{
		GPIO_SetBits(GPIOB,GPIO_Pin_13);

        TIM3->CCR3=1500; //pwm
	}
	if(state == BACK)//ǰ
	{
		GPIO_ResetBits(GPIOB,GPIO_Pin_13);

        TIM3->CCR3=1500; //pwm
	}
	if(state == STOP)//ͣת
	{
		TIM3->CCR3=0; //pwm
	}		
}

//***************************ǰ***************************//
//ֻҪ()״̬ͿԸıת
void Car_Go(void)
{
	// ǰ    //ҵ ǰ
	MOTO_Left(GO);  MOTO_Right(GO);
}

void Car_Back(void)
{
  //        //ҵ 
	MOTO_Left(BACK);  MOTO_Right(BACK);
}

//***************************תȦ***************************//
void Car_Turn_Left(void)
{
	//        //ҵ ǰ
	MOTO_Left(BACK);  MOTO_Right(GO);
}


//***************************תȦ***************************//
void Car_Turn_Right(void)
{
	// ǰ    //ҵ 
	MOTO_Left(GO);  MOTO_Right(BACK);
}

//***************************ͣ***************************//
void Car_Stop(void)
{
	MOTO_Left(STOP);  
	MOTO_Right(STOP);
}



