/*
********************************************************************************************************
ļbsp_timer.c
  ܣ
  עtimer3 pwm,õtimer3ch3ch4 PB0-PB1ӵʹܶPWMA PWMBҵ
		timer1 ϵͳ100msʱ
		timer2 
		timer4 ҵ
*********************************************************************************************************
*/


#include "bsp_timer.h"

//***************************ʱ3ʼ ṩPWM***************************//
// TIM_Period / Auto Reload Register(ARR) = 1000   TIM_Prescaler--71  
//arrԶװĴpscƵϵ
//PWMƵ = 72MHz/ARR/PCS   20K = 72M/3600/1 =  20K
 

//=====ʼPWM 20KHZ ƵԷֹƵʱļ
// ARR= 3599 ʱƵΪ20Khz
//PB0PWMA--right motoPB1PWMB--left motoSTBYֱ
//arrԶװĴpscƵϵ
//PWMƵ = 72MHz/ARR/PCS   20K = 72M/3600/1 =  20K
void MOTO_PWM_Init(u32 arr, int psc)
{
	TIM_OCInitTypeDef TIM_OCInitSructure;
	GPIO_InitTypeDef    GPIO_InitStructure;
	TIM_TimeBaseInitTypeDef TIM_TimeBaseStructure;
	
	RCC_APB1PeriphClockCmd(RCC_APB1Periph_TIM3, ENABLE);
	TIM_TimeBaseStructure.TIM_Period = arr-1;                   //ԶװؼĴڵֵ壨ֵ)
	TIM_TimeBaseStructure.TIM_Prescaler = psc;                  //ʱӷƵϵ
	TIM_TimeBaseStructure.TIM_ClockDivision = TIM_CKD_DIV1;     //ⲿʱӽвʱӷƵ
	TIM_TimeBaseStructure.TIM_CounterMode = TIM_CounterMode_Up; //ϼ
	TIM_TimeBaseInit(TIM3,&TIM_TimeBaseStructure);              //ʼ

	TIM_ClearFlag(TIM3, TIM_FLAG_Update);
	TIM_ITConfig(TIM3, TIM_IT_Update, ENABLE);
	//pwm˿
	RCC_APB2PeriphClockCmd(RCC_APB2Periph_GPIOB, ENABLE);
	GPIO_InitStructure.GPIO_Pin =  GPIO_Pin_0| GPIO_Pin_1;
	GPIO_InitStructure.GPIO_Mode = GPIO_Mode_AF_PP;		          // 
	GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;
	GPIO_Init(GPIOB, &GPIO_InitStructure);

	//ͨ3 pwm
	TIM_OCInitSructure.TIM_OCMode = TIM_OCMode_PWM1;
	TIM_OCInitSructure.TIM_OutputState= TIM_OutputState_Enable;
	TIM_OCInitSructure.TIM_Pulse = 0;//ռձ= 50/100
	TIM_OCInitSructure.TIM_OCPolarity = TIM_OCPolarity_High;//ʱֵСCCR1_ValʱΪߵƽ
	TIM_OC3Init(TIM3, &TIM_OCInitSructure);//ʼ
	TIM_OC3PolarityConfig(TIM3, TIM_OCPreload_Enable);//ʼpwm

	//ͨ4 pwm
	TIM_OCInitSructure.TIM_OCMode = TIM_OCMode_PWM1;
	TIM_OCInitSructure.TIM_OutputState= TIM_OutputState_Enable;
	TIM_OCInitSructure.TIM_Pulse = 0;//ռձ= 50/100
	TIM_OCInitSructure.TIM_OCPolarity = TIM_OCPolarity_High;//ʱֵСCCR1_ValʱΪߵƽ
	TIM_OC4Init(TIM3, &TIM_OCInitSructure);//ʼ
	TIM_OC4PolarityConfig(TIM3, TIM_OCPreload_Enable);//ʼpwm

	TIM_ARRPreloadConfig(TIM3, ENABLE);//Զװ
	TIM_Cmd(TIM3, ENABLE);//ʱ	
}


//ռձ = TIMx_CCRx / TIMx_ARR
//moto_rֵmoto_lֵ.   ֵ 0-100
void MOTO_PWM_Out(u16 moto_l, u16 moto_r)
{
	
	TIM_OCInitTypeDef TIM_OCInitSructure;
	
	TIM_OCInitSructure.TIM_OCMode = TIM_OCMode_PWM1;
	TIM_OCInitSructure.TIM_OutputState= TIM_OutputState_Enable;
	//CH3 ҵ
	TIM_OCInitSructure.TIM_Pulse = moto_l;//ռձ= ccr/100
	TIM_OC3Init(TIM3, &TIM_OCInitSructure);//ʼ
	TIM_OC3PolarityConfig(TIM3, TIM_OCPreload_Enable);//ʼpwm
	
	//CH4 
	TIM_OCInitSructure.TIM_Pulse = moto_r;//ռձ= ccr /100
	TIM_OC4Init(TIM3, &TIM_OCInitSructure);//ʼ
	TIM_OC4PolarityConfig(TIM3, TIM_OCPreload_Enable);//ʼpwm
	
	TIM_ARRPreloadConfig(TIM3, ENABLE);//Զװ
	 
}	

//***************************ʱ1ʼ ϵͳÿ10msһжϣݣpwm***************************//
void Timer6_Init(void)
{
	TIM_TimeBaseInitTypeDef TIM_TimeBaseStructure;
	
	NVIC_InitTypeDef NVIC_InitStructure;
	
	RCC_APB1PeriphClockCmd(RCC_APB1Periph_TIM6, ENABLE);
	TIM_TimeBaseStructure.TIM_Period = 9999;//ԶװؼĴڵֵ壨ֵ)
	TIM_TimeBaseStructure.TIM_Prescaler = 719;//ʱӷƵϵ
	TIM_TimeBaseStructure.TIM_ClockDivision = TIM_CKD_DIV1;//ⲿʱӽвʱӷƵ
	TIM_TimeBaseStructure.TIM_CounterMode = TIM_CounterMode_Up;//ϼ
	TIM_TimeBaseStructure.TIM_RepetitionCounter=0; //߼ʱ1öʱſļƵһʼ72mhz ֵעĵط
	TIM_TimeBaseInit(TIM6,&TIM_TimeBaseStructure);//ʼ

	TIM_ClearFlag(TIM6, TIM_FLAG_Update);
	TIM_ITConfig(TIM6, TIM_IT_Update, ENABLE);

	NVIC_PriorityGroupConfig(NVIC_PriorityGroup_4);
	NVIC_InitStructure.NVIC_IRQChannel=TIM6_IRQn;
	NVIC_InitStructure.NVIC_IRQChannelPreemptionPriority=5;
	NVIC_InitStructure.NVIC_IRQChannelSubPriority=0;
	NVIC_InitStructure.NVIC_IRQChannelCmd=ENABLE;
	NVIC_Init(&NVIC_InitStructure);

	TIM_Cmd(TIM6, ENABLE);//ʱ 
}

//***************************ʱ2ʼ ʹñ***************************//
//
//PA0---- A ߵB2Bʶ
//PA1---- B ߵB2Aʶ
void Encoder_Init_TIM2(void)
{
	TIM_TimeBaseInitTypeDef TIM_TimeBaseStructure;  
	TIM_ICInitTypeDef TIM_ICInitStructure;  
	GPIO_InitTypeDef GPIO_InitStructure;
	RCC_APB1PeriphClockCmd(RCC_APB1Periph_TIM2, ENABLE);//ʹܶʱ4ʱ
	RCC_APB2PeriphClockCmd(RCC_APB2Periph_GPIOA, ENABLE);//ʹPB˿ʱ

	GPIO_InitStructure.GPIO_Pin = GPIO_Pin_0|GPIO_Pin_1;	//˿
	GPIO_InitStructure.GPIO_Mode = GPIO_Mode_IN_FLOATING; //
	GPIO_Init(GPIOA, &GPIO_InitStructure);					      //趨ʼGPIOB

	TIM_TimeBaseStructInit(&TIM_TimeBaseStructure);
	TIM_TimeBaseStructure.TIM_Prescaler = 0x0; // ԤƵ 
	TIM_TimeBaseStructure.TIM_Period = ENCODER_TIM_PERIOD; //趨Զװֵ
	TIM_TimeBaseStructure.TIM_ClockDivision = TIM_CKD_DIV1;//ѡʱӷƵƵ
	TIM_TimeBaseStructure.TIM_CounterMode = TIM_CounterMode_Up;////TIMϼ  
	TIM_TimeBaseInit(TIM2, &TIM_TimeBaseStructure);
	TIM_EncoderInterfaceConfig(TIM2, TIM_EncoderMode_TI12, TIM_ICPolarity_Rising, TIM_ICPolarity_Rising);//ʹñģʽ3
	TIM_ICStructInit(&TIM_ICInitStructure);
	TIM_ICInitStructure.TIM_ICFilter = 10;
	TIM_ICInit(TIM2, &TIM_ICInitStructure);
	TIM_ClearFlag(TIM2, TIM_FLAG_Update);//TIMĸ±־λ
	TIM_ITConfig(TIM2, TIM_IT_Update, ENABLE);
	//Reset counter
	TIM_SetCounter(TIM2,0);
	TIM_Cmd(TIM2, ENABLE); 
}

//***************************ʱ4ʼ ʹñ***************************//
//ҵ
//PB6---- B ߵB1Aʶ
//PB7---- A ߵB1Bʶ
void Encoder_Init_TIM4(void)
{
	TIM_TimeBaseInitTypeDef TIM_TimeBaseStructure;  
  TIM_ICInitTypeDef TIM_ICInitStructure;  
  GPIO_InitTypeDef GPIO_InitStructure;
  RCC_APB1PeriphClockCmd(RCC_APB1Periph_TIM4, ENABLE);//ʹܶʱ4ʱ
  RCC_APB2PeriphClockCmd(RCC_APB2Periph_GPIOB, ENABLE);//ʹPB˿ʱ
	
  GPIO_InitStructure.GPIO_Pin = GPIO_Pin_6|GPIO_Pin_7;	//˿
  GPIO_InitStructure.GPIO_Mode = GPIO_Mode_IN_FLOATING; //
  GPIO_Init(GPIOB, &GPIO_InitStructure);					      //趨ʼGPIOB
  
  TIM_TimeBaseStructInit(&TIM_TimeBaseStructure);
  TIM_TimeBaseStructure.TIM_Prescaler = 0x0; // ԤƵ 
  TIM_TimeBaseStructure.TIM_Period = ENCODER_TIM_PERIOD; //趨Զװֵ
  TIM_TimeBaseStructure.TIM_ClockDivision = TIM_CKD_DIV1;//ѡʱӷƵƵ
  TIM_TimeBaseStructure.TIM_CounterMode = TIM_CounterMode_Up;////TIMϼ  
  TIM_TimeBaseInit(TIM4, &TIM_TimeBaseStructure);
  TIM_EncoderInterfaceConfig(TIM4, TIM_EncoderMode_TI12, TIM_ICPolarity_Rising, TIM_ICPolarity_Rising);//ʹñģʽ3
  TIM_ICStructInit(&TIM_ICInitStructure);
  TIM_ICInitStructure.TIM_ICFilter = 10;
  TIM_ICInit(TIM4, &TIM_ICInitStructure);
  TIM_ClearFlag(TIM4, TIM_FLAG_Update);//TIMĸ±־λ
  TIM_ITConfig(TIM4, TIM_IT_Update, ENABLE);
  //Reset counter
  TIM_SetCounter(TIM4,0);
  TIM_Cmd(TIM4, ENABLE); 
	
	
}

/**************************************************************************
ܣλʱȡ
ڲʱ
  ֵٶֵ
**************************************************************************/
int Read_Encoder(u8 TIMX)
{
    int Encoder_TIM;    
   switch(TIMX)
	 {
	   case 2:  Encoder_TIM= (short)TIM2 -> CNT;  TIM2 -> CNT=30000;break;
		 case 3:  Encoder_TIM= (short)TIM3 -> CNT;  TIM3 -> CNT=30000;break;	
		 case 4:  Encoder_TIM= (short)TIM4 -> CNT;  TIM4 -> CNT=30000;break;	
		 default:  Encoder_TIM=0;
	 }
		return Encoder_TIM;
}

/**************************************************************************
ܣTIM4жϷ
ڲ
  ֵ
**************************************************************************/
void TIM4_IRQHandler(void)
{ 		    		  			    
	if(TIM4->SR&0X0001)//ж
	{    				   				     	    	
	}				   
	TIM4->SR&=~(1<<0);//жϱ־λ 	    
}
/**************************************************************************
ܣTIM2жϷ
ڲ
  ֵ
**************************************************************************/
void TIM2_IRQHandler(void)
{ 		    		  			    
	if(TIM2->SR&0X0001)//ж
	{    				   				     	    	
	}				   
	TIM2->SR&=~(1<<0);//жϱ־λ 	    
}
